package warehouse.ejb;
import java.rmi.RemoteException;
import javax.ejb.Remote;

@Remote
public interface Warehouse {
    public void ship(String productId, String orderId, int quantity)
        throws RemoteException;

    public String getStatusForDB1(String productId, String orderId)
        throws RemoteException;

    public String getStatusForDB2(String productId, String orderId)
    throws RemoteException;

    public void remove();

}
